package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgSH;

/**
 * 硫化氢相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgHSDao {

	/******** 硫化氢浓度变量值 ********/
	public List<PgSH> findAllPblz();
	public PgSH findPblzById(Integer id);
	public PgSH findLatestPblzByDevice(Integer deviceid);
	
	public List<PgSH> findPblzByDevice(Integer deviceid);
	public List<PgSH> findPblzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public double findLastValueByDevice(Integer deviceid);
	
	public int addPblzRecord(PgSH hs);
	public int addPblzRecord(float value, String tm, int deviceid);
	
}
